#include "ir.h"

IRConfig IR::config;
IRData IR::data;

void IR::init(IRConfig config)
{
  IR::config = config;
  if (config.mode == IRMode::IR_MODE_GPIO)
  {
    data.length = 5;
    for (int i = 0; i < 5; i++)
    {
      pinMode(config.pins[i], INPUT);
    }
  }
}

void IR::update()
{
  if (config.mode == IRMode::IR_MODE_GPIO)
  {
    for (int i = 0; i < 5; i++)
    {
      data.data[i] = digitalRead(config.pins[i]);
    }
  }
}